LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XResource Interface Reference

Base interface that provides functionality shared by all resource types of the drawing framework. More...

`import"XResource.idl";`

Inheritance diagram for XResource:

## Public Member Functions
XResourceId | getResourceId ()
| Return an XResourceId object for the called resource. More...
boolean | isAnchorOnly ()
| Some resources must not be leafs, i.e. More...

## Detailed Description

Base interface that provides functionality shared by all resource types of the drawing framework.

## Member Function Documentation

## ◆ getResourceId()

XResourceId getResourceId | ( |  | ) |

Return an XResourceId object for the called resource.

The returned id unambiguously identifies the resource.

## ◆ isAnchorOnly()

boolean isAnchorOnly | ( |  | ) |

Some resources must not be leafs, i.e.

have to be anchor to at least one other resource. Most panes are examples for this. Views on the other hand are in most cases no anchors. So the typical pane will return `TRUE` and the typical view will return `FALSE`.

The return value is used to determine whether a resource has to be deactivated when it has no children, either because none is requested or because none can be created.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XResource.idl